<div>
    <h2 id="page-heading">
        <span jhiTranslate="smarmsApp.userProfile.home.title">User Profiles</span>
        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-user-profile-smarms" [routerLink]="['/user-profile-smarms/new']">
            <fa-icon [icon]="'plus'"></fa-icon>
            <span  jhiTranslate="smarmsApp.userProfile.home.createLabel">
            Create new User Profile
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <br/>
    <div class="table-responsive" *ngIf="userProfiles">
        <table class="table table-striped">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="transition.bind(this)">
            <th jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="name"><span jhiTranslate="smarmsApp.userProfile.name">Name</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="title"><span jhiTranslate="smarmsApp.userProfile.title">Title</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="position"><span jhiTranslate="smarmsApp.userProfile.position">Position</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="description"><span jhiTranslate="smarmsApp.userProfile.description">Description</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="image"><span jhiTranslate="smarmsApp.userProfile.image">Image</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="backgroundImage"><span jhiTranslate="smarmsApp.userProfile.backgroundImage">Background Image</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="linkedIn"><span jhiTranslate="smarmsApp.userProfile.linkedIn">Linked In</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="email"><span jhiTranslate="smarmsApp.userProfile.email">Email</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="instagram"><span jhiTranslate="smarmsApp.userProfile.instagram">Instagram</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="resume"><span jhiTranslate="smarmsApp.userProfile.resume">Resume</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let userProfile of userProfiles ;trackBy: trackId">
                <td><a [routerLink]="['/user-profile-smarms', userProfile.id, 'view' ]">{{userProfile.id}}</a></td>
                <td>{{userProfile.name}}</td>
                <td>{{userProfile.title}}</td>
                <td>{{userProfile.position}}</td>
                <td>{{userProfile.description}}</td>
                <td>
                    <a *ngIf="userProfile.image" (click)="openFile(userProfile.imageContentType, userProfile.image)">
                        <img [src]="'data:' + userProfile.imageContentType + ';base64,' + userProfile.image" style="max-height: 30px;" alt="userProfile image"/>
                    </a>
                    <span *ngIf="userProfile.image">{{userProfile.imageContentType}}, {{byteSize(userProfile.image)}}</span>
                </td>
                <td>
                    <a *ngIf="userProfile.backgroundImage" (click)="openFile(userProfile.backgroundImageContentType, userProfile.backgroundImage)">
                        <img [src]="'data:' + userProfile.backgroundImageContentType + ';base64,' + userProfile.backgroundImage" style="max-height: 30px;" alt="userProfile image"/>
                    </a>
                    <span *ngIf="userProfile.backgroundImage">{{userProfile.backgroundImageContentType}}, {{byteSize(userProfile.backgroundImage)}}</span>
                </td>
                <td>{{userProfile.linkedIn}}</td>
                <td>{{userProfile.email}}</td>
                <td>{{userProfile.instagram}}</td>
                <td>{{userProfile.resume}}</td>
                <td class="text-right">
                    <div class="btn-group">
                        <button type="submit"
                                [routerLink]="['/user-profile-smarms', userProfile.id, 'view' ]"
                                class="btn btn-info btn-sm">
                            <fa-icon [icon]="'eye'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/user-profile-smarms', userProfile.id, 'edit']"
                                class="btn btn-primary btn-sm">
                            <fa-icon [icon]="'pencil-alt'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', 'user-profile-smarms', { outlets: { popup: userProfile.id + '/delete'} }]"
                                replaceUrl="true"
                                queryParamsHandling="merge"
                                class="btn btn-danger btn-sm">
                            <fa-icon [icon]="'times'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
    <div *ngIf="userProfiles && userProfiles.length">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [maxSize]="5" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>
        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="page" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage(page)"></ngb-pagination>
        </div>
    </div>
</div>
